> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Item

> Update a specific item



## OpenAPI

````yaml /openapi/1.3.json patch /v1/items/{itemId}
openapi: 3.0.0
info:
  title: JTL-WAWI API (Cloud)
  description: "JTL-Wawi-Version: 2.1.0\r\n# Introduction\r\n\r\nWelcome to the JTL-WAWI technical API documentation. This guide is here to help developers understand how our REST API works and how it can be integrated into your existing systems. We'll delve into the details of authentication and data manipulation processes, providing clear examples along the way. Whether you're a developer or an IT professional, this documentation aims to give you a practical understanding, laying the groundwork for effectively using the JTL-WAWI API to enhance your processes.\r\n\r\n# Authentication\r\n\r\nYou register your application with the API by sending a POST request with the required information and corresponding keys. You can find the exact request details at https://developer.jtl-software.com/products/erp/swagger/appregistration. This information has to include the following:\r\n\r\n* AppId\r\n* DisplayName\r\n* Description\r\n* Version\r\n* ProviderName\r\n* ProviderWebsite\r\n* MandatoryApiScopes\r\n\r\nThis data is crucial for identifying and registering your application with the API. The API uses it to generate a temporary authentication ID that allows your application to access the necessary resources. After successful validation of this information, you will receive the API key required for future authentication and API requests.\r\n\r\nBefore you can begin the registration process, you must open JTL-Wawi (new interface) and start the registration process under 'Admin->App registration'. Only at this point are you authorised to send the first API call. This step in JTL-Wawi ensures that your application is properly registered and has permission to use the API.\r\n\r\nThe API will send you an authentication ID in the form of a token. Once you have received this token and successfully completed the registration in JTL-Wawi, you will send another request to the API by including this authentication ID in the URL path.\r\n\r\nAfter successful validation of this second request by the API and confirmation of the correct information, you will be provided with the actual API key. It is important to note that this API key will not be displayed again!\r\n\r\nThis API key will be used in the future to authenticate requests to the API. It is of utmost importance that you securely store the API key upon receipt, as it cannot be retrieved from any other location in the system."
  contact:
    name: JTL-Software-GmbH
    url: https://developer.jtl-software.com/
    email: partner@jtl-software.com
  version: '1.3'
  x-application-version: 2.1.0.0
servers:
  - url: https://api.jtl-cloud.com/erp
    description: Production Environment Cloud API Gateway
security: []
tags:
  - name: Worker
    description: >-
      <p data-section-id='tag/Worker' class='beta_summary'></p>Returns the
      Available Syncs of the Worker
  - name: WMS
    description: >-
      <p data-section-id='tag/WMS' class='stable_summary'></p>Query all pick
      lists for a specific wms warehouse that are not completed.
  - name: Warehouses
    description: >-
      <p data-section-id='tag/Warehouses' class='stable_summary'></p>Query all
      warehouses
  - name: Transaction Status
    description: >-
      <p data-section-id='tag/Transaction Status'
      class='stable_summary'></p>Query all transaction status for sales order
  - name: Tax
    description: >-
      <p data-section-id='tag/Tax' class='stable_summary'></p>Returns the
      Taxrate for the given Item
  - name: Item
    description: >-
      <p data-section-id='tag/Item' class='stable_summary'></p>Query all tax
      classes
  - name: Supplier
    description: >-
      <p data-section-id='tag/Supplier' class='stable_summary'></p>Query all
      suppliers
  - name: Inventory
    description: >-
      <p data-section-id='tag/Inventory' class='stable_summary'></p>Query stocks
      for a specific item, warehouse or storage location
  - name: Master Data
    description: >-
      <p data-section-id='tag/Master Data' class='stable_summary'></p>Query all
      shipping methods
  - name: Sales Order
    description: >-
      <p data-section-id='tag/Sales Order' class='stable_summary'></p>Query all
      sales orders
  - name: Sales Invoice Correction
    description: Planned
  - name: Sales Channel
    description: >-
      <p data-section-id='tag/Sales Channel' class='stable_summary'></p>Get all
      sales channels
  - name: Return
    description: >-
      <p data-section-id='tag/Return' class='beta_summary'></p>Create a new
      return with associated items and packages.
  - name: Refund
    description: Planned
  - name: Property
    description: >-
      <p data-section-id='tag/Property' class='stable_summary'></p>Query all
      properties for items
  - name: Printer
    description: >-
      <p data-section-id='tag/Printer' class='beta_summary'></p>Returns all
      Installed Printers
  - name: Sales Quotation
    description: >-
      <p data-section-id='tag/Sales Quotation' class='beta_summary'></p>Execute
      the printing of a Offer
  - name: Sales Invoice
    description: Planned
  - name: Info
    description: >-
      <p data-section-id='tag/Info' class='stable_summary'></p>Returns the
      status of the API
  - name: Features
    description: >-
      <p data-section-id='tag/Features' class='stable_summary'></p>Returns the
      available feature sets with release state and API version
  - name: Extensibility
    description: Planned
  - name: Shipment
    description: Development
  - name: Delivery Note
    description: Planned
  - name: Customer
    description: >-
      <p data-section-id='tag/Customer' class='stable_summary'></p>Query all
      customers
  - name: Company
    description: >-
      <p data-section-id='tag/Company' class='stable_summary'></p>Query all
      companies
  - name: Cancellation Reason
    description: >-
      <p data-section-id='tag/Cancellation Reason'
      class='stable_summary'></p>Query all cancellation reasons for sales orders
  - name: Authentication
    description: >-
      <p data-section-id='tag/Authentication' class='stable_summary'></p>Send a
      registration request for an (external) application
  - name: Accounting Data
    description: Planned
paths:
  /v1/items/{itemId}:
    patch:
      tags:
        - Item
      summary: Update Item
      description: Update a specific item
      operationId: Item_UpdateItemAsync
      parameters:
        - name: disableAutomaticWorkflows
          in: query
          description: If true, the workflows do not trigger automatic.
          schema:
            type: boolean
          x-position: 2
        - name: itemId
          in: path
          required: true
          description: The id of the Item to update.
          schema:
            $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ArtikelKey'
          x-position: 3
        - name: x-companyid
          in: header
          description: >-
            The Company-Id (int or uuid) of the company on whose behalf the
            request is executed.
          schema:
            type: string
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
          description: The tenant ID for the target ERP instance.
      requestBody:
        x-name: item
        description: The item to update.
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItem
        required: true
        x-position: 1
      responses:
        '201':
          description: The updated item.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.Item
        '400':
          description: The sent data is invalid.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JTL.Wawi.Rest.Abstraction.Exceptions.ErrorResponse
        '401':
          description: ''
          content:
            application/json: {}
        '402':
          description: No licence available or the app has not been authorised by JTL.
          content:
            application/json: {}
        '404':
          description: No item with the given ID exists.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JTL.Wawi.Rest.Abstraction.Exceptions.ErrorResponse
      security:
        - oauth2-authorization-code: []
        - oauth2-client-credentials: []
components:
  schemas:
    JTL.Data.Contracts.Keys.ArtikelKey:
      type: integer
      format: int32
      additionalProperties: false
    JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItem:
      type: object
      description: 'Model Class: UpdateItem '
      additionalProperties: false
      properties:
        SKU:
          type: string
          description: >-
            Item SKU. If no SKU is given when posting an item, the SKU will be
            generated automatically.
        ManufacturerId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.HerstellerKey'
          description: The manufacturer ID.
        ResponsiblePersonId:
          $ref: >-
            #/components/schemas/JTL.Wawi.ContactManagement.Core.Contracts.Domain.Keys.ProductComplianceContactKey
          description: The Responsible person ID.
        Categories:
          type: array
          description: List of all the categories for the item.
          items:
            $ref: >-
              #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateCategoryReference
        Name:
          type: string
          description: Name of the item in the default language in JTL-Wawi.
        Description:
          type: string
          description: Full textdescription for the item
        ShortDescription:
          type: string
          description: Short description of the item in the default language in JTL-Wawi.
        Identifiers:
          $ref: >-
            #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemIdentifiers
          description: Identifiers for items like EAN and UPC.
        Components:
          type: array
          description: Components for the item if the item is a bill of material.
          items:
            $ref: >-
              #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemComponent
        ItemPriceData:
          $ref: >-
            #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemPrice
          description: Price data of the item.
        ActiveSalesChannels:
          type: array
          description: >-
            The list of active sales channels of the item. Only online shops and
            JTL-POS are permitted. Sales channels that are removed from this
            list will be deactivated for this item.
          items:
            type: string
        SortNumber:
          type: integer
          description: >-
            The sort number of the item, used in some sales channels for
            ordering items.
          format: int32
        Annotation:
          type: string
          description: The item annotation.
        ReleasedOnDate:
          type: string
          description: The date when the item was put up for sale.
          format: date-time
        StorageOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemStorageOption
          description: Storage options for the item.
        CountryOfOrigin:
          type: string
          description: The country of origin of the item.
        ShippingClassId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.VersandklasseKey'
          description: The shipping class ID.
        ProductGroupId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.WarengruppeKey'
          description: The ID of the item group.
        TaxClassId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerklasseKey'
          description: The ID of the tax class.
        Dimensions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Common.UpdateDimensions
          description: The dimensions of the item.
        Weights:
          $ref: >-
            #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemWeights
          description: The weight of the item.
        AllowNegativeStock:
          type: boolean
          description: >-
            This option allows you to sell a higher quantity of the item than is
            actually in stock.
        Quantities:
          $ref: >-
            #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemQuantities
          description: Quantities of the item.
        DangerousGoods:
          $ref: >-
            #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemDangerousGoods
          description: Any information about dangerous goods.
        Taric:
          type: string
          description: Taric code of the item.
        SearchTerms:
          type: string
          description: Search terms for the item.
        PriceListActive:
          type: boolean
          description: Indicates if the item is in the price list.
        IgnoreDiscounts:
          type: boolean
          description: Indicates if discounts are to be disregarded.
        AvailabilityId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.LieferstatusKey'
          description: Availability ID of the item.
    JTL.Wawi.Rest.Contracts.Models.V1.Item.Item:
      type: object
      description: 'Model Class: Item '
      additionalProperties: false
      required:
        - Id
        - SKU
        - ManufacturerId
        - ResponsiblePersonId
        - IsActive
        - Categories
        - Name
        - Description
        - ShortDescription
        - Identifiers
        - Components
        - ChildItems
        - ParentItemId
        - ItemPriceData
        - ActiveSalesChannels
        - SortNumber
        - Annotation
        - Added
        - Changed
        - ReleasedOnDate
        - StorageOptions
        - CountryOfOrigin
        - ConditionId
        - ShippingClassId
        - ProductGroupId
        - TaxClassId
        - Dimensions
        - Weights
        - AllowNegativeStock
        - Quantities
        - DangerousGoods
        - Taric
        - SearchTerms
        - PriceListActive
        - IgnoreDiscounts
        - AvailabilityId
      properties:
        Id:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ArtikelKey'
          description: Unique ID to identify an item.
        SKU:
          type: string
          description: >-
            Item SKU. If no SKU is given when posting an item, the SKU will be
            generated automatically.
        ManufacturerId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.HerstellerKey'
          description: The manufacturer ID.
        ResponsiblePersonId:
          $ref: >-
            #/components/schemas/JTL.Wawi.ContactManagement.Core.Contracts.Domain.Keys.ProductComplianceContactKey
          description: The Responsible person ID.
        IsActive:
          type: boolean
          description: Indicates if the item is active.
        Categories:
          type: array
          description: List of all the categories for the item.
          items:
            $ref: >-
              #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.CategoryReference
        Name:
          type: string
          description: Name of the item in the default language in JTL-Wawi.
        Description:
          type: string
          description: Full textdescription for the item
        ShortDescription:
          type: string
          description: Short description of the item in the default language in JTL-Wawi.
        Identifiers:
          $ref: >-
            #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemIdentifiers
          description: Identifiers for items like EAN and UPC.
        Components:
          type: array
          description: Components for the item if the item is a bill of material.
          items:
            $ref: >-
              #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemComponent
        ChildItems:
          type: array
          description: IDs of the child items, if the item is a parent item.
          items:
            type: integer
            format: int32
        ParentItemId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ArtikelKey'
          description: ID of the parent item, if the item is a child item.
        ItemPriceData:
          $ref: >-
            #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemPrice
          description: Price data of the item.
        ActiveSalesChannels:
          type: array
          description: >-
            The list of active sales channels of the item. Only online shops and
            JTL-POS are permitted. Sales channels that are removed from this
            list will be deactivated for this item.
          items:
            type: string
        SortNumber:
          type: integer
          description: >-
            The sort number of the item, used in some sales channels for
            ordering items.
          format: int32
        Annotation:
          type: string
          description: The item annotation.
        Added:
          type: string
          description: Date when the item was added to the system.
          format: date-time
        Changed:
          type: string
          description: >-
            Date of the last change made to the item. Only item data changes are
            relevant for this field, not changes in stock.
          format: date-time
        ReleasedOnDate:
          type: string
          description: The date when the item was put up for sale.
          format: date-time
        StorageOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemStorageOption
          description: Storage options for the item.
        CountryOfOrigin:
          type: string
          description: The country of origin of the item.
        ConditionId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ZustandKey'
          description: Condition ID of the item. Default if nothing is specified.
        ShippingClassId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.VersandklasseKey'
          description: The shipping class ID.
        ProductGroupId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.WarengruppeKey'
          description: The ID of the item group.
        TaxClassId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.SteuerklasseKey'
          description: The ID of the tax class.
        Dimensions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Common.Dimensions
          description: The dimensions of the item.
        Weights:
          $ref: >-
            #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemWeights
          description: The weight of the item.
        AllowNegativeStock:
          type: boolean
          description: >-
            This option allows you to sell a higher quantity of the item than is
            actually in stock.
        Quantities:
          $ref: >-
            #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemQuantities
          description: Quantities of the item.
        DangerousGoods:
          $ref: >-
            #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemDangerousGoods
          description: Any information about dangerous goods.
        Taric:
          type: string
          description: Taric code of the item.
        SearchTerms:
          type: string
          description: Search terms for the item.
        PriceListActive:
          type: boolean
          description: Indicates if the item is in the price list.
        IgnoreDiscounts:
          type: boolean
          description: Indicates if discounts are to be disregarded.
        AvailabilityId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.LieferstatusKey'
          description: Availability ID of the item.
    JTL.Wawi.Rest.Abstraction.Exceptions.ErrorResponse:
      type: object
      description: >-
        Represents an error response returned by the system in case of a failure
        or exception.
      additionalProperties: false
      properties:
        ErrorCode:
          type: string
          description: >-
            Gets or sets the error code that identifies the type of error
            encountered.
        ValidationErrors:
          type: object
          description: >-
            Gets or sets a dictionary containing validation errors associated
            with the request.
          deprecated: true
          x-deprecatedMessage: Use Errors
          additionalProperties:
            type: string
        Errors:
          type: object
          description: Gets or sets a collection of errors associated with the response.
          additionalProperties:
            type: array
            items:
              type: string
        ErrorMessage:
          type: string
          description: >-
            Gets or sets the error message that provides details about the error
            encountered.
        Stacktrace:
          type: string
          description: >-
            Gets or sets the stack trace associated with the error, providing
            detailed

            information about the sequence of method calls that led to the
            exception.
    JTL.Data.Contracts.Keys.HerstellerKey:
      type: integer
      format: int32
      additionalProperties: false
    JTL.Wawi.ContactManagement.Core.Contracts.Domain.Keys.ProductComplianceContactKey:
      type: integer
      description: Produktverantwortlichen Schlüssel
      format: int32
      additionalProperties: false
    JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateCategoryReference:
      type: object
      description: 'Model Class: UpdateCategoryReference '
      additionalProperties: false
      required:
        - CategoryId
      properties:
        CategoryId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.KategorieKey'
          description: Unique ID to identify a category.
    JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemIdentifiers:
      type: object
      description: 'Model Class: UpdateItemIdentifiers '
      additionalProperties: false
      properties:
        Gtin:
          type: string
          description: GTIN
        ManufacturerNumber:
          type: string
          description: Manufacturer number.
        ISBN:
          type: string
          description: ISBN
        UPC:
          type: string
          description: UPC
        AmazonFnsku:
          type: string
          description: An item's Amazon FNSKU.
        Asins:
          type: array
          description: A list of the item's ASINs.
          items:
            type: string
        OwnIdentifier:
          type: string
          description: A custom identifier for the item.
    JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemComponent:
      type: object
      description: 'Model Class: UpdateItemComponent '
      additionalProperties: false
      required:
        - ItemId
        - Quantity
      properties:
        ItemId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ArtikelKey'
          description: Item ID of the item's component.
        Quantity:
          type: number
          description: Quantity of the component in the bill of material.
          format: decimal
        SortNumber:
          type: integer
          description: >-
            Defines the order of the components when shown in lists and sales
            channels.
          format: int32
    JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemPrice:
      type: object
      description: 'Model Class: UpdateItemPrice '
      additionalProperties: false
      properties:
        SalesPriceNet:
          type: number
          description: The net sales price of the item.
          format: decimal
        SuggestedRetailPrice:
          type: number
          description: The suggested retail price for the item.
          format: decimal
        PurchasePriceNet:
          type: number
          description: The purchase price of the item.
          format: decimal
        EbayPrice:
          type: number
          description: Default price in new listing templates.
          format: decimal
        AmazonPrice:
          type: number
          description: Brutto price for new Amazon listings.
          format: decimal
    JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemStorageOption:
      type: object
      description: 'Model Class: UpdateItemStorageOption '
      additionalProperties: false
      properties:
        GlobalMinimumStockLevel:
          type: number
          description: >-
            Defines the minimum quantity that should always be in stock. For
            example, when calculating purchasing orders.
          format: decimal
        Buffer:
          type: integer
          description: >-
            The buffer of the item. Used when selling time-delayed across
            different sales channels, so as not to sell more than is in stock.
          format: int32
        SerialNumberTracking:
          type: boolean
          description: >-
            Indicates if serial numbers are to be identified during a goods
            receipt process from a supplier.
        ProcurementTime:
          type: integer
          description: >-
            The procurement time indicates how many days it will take for the
            goods to be ready for shipment if they are currently out of stock.
            Procurement time is determined automatically on the basis of the
            supplier’s delivery time. By default, the delivery time of the
            default supplier is used as the procurement time. If additional
            processing time (in days) has been specified, this is added to the
            procurement time.
          format: int32
        DetermineProcurementTimeAutomatically:
          type: boolean
          description: >-
            If this option is set, the procurement time will be calculated from
            the default supplier's shipment time.
        AdditionalHandlingTime:
          type: integer
          description: >-
            Indicates the additional processing time in days required to
            process. It is always added to the delivery time.
          format: int32
    JTL.Data.Contracts.Keys.VersandklasseKey:
      type: integer
      format: int32
      additionalProperties: false
    JTL.Data.Contracts.Keys.WarengruppeKey:
      type: integer
      format: int32
      additionalProperties: false
    JTL.Data.Contracts.Keys.SteuerklasseKey:
      type: integer
      format: int32
      additionalProperties: false
    JTL.Wawi.Rest.Contracts.Models.V1.Common.UpdateDimensions:
      type: object
      description: 'Model Class: UpdateDimensions '
      additionalProperties: false
      properties:
        Length:
          type: number
          description: Length
          format: decimal
        Width:
          type: number
          description: Width
          format: decimal
        Height:
          type: number
          description: Height
          format: decimal
    JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemWeights:
      type: object
      description: 'Model Class: UpdateItemWeights '
      additionalProperties: false
      properties:
        ItemWeigth:
          type: number
          description: The weight of the item in kilograms.
          format: decimal
        ShippingWeight:
          type: number
          description: The shipping weight of the item in kilograms.
          format: decimal
    JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemQuantities:
      type: object
      description: 'Model Class: UpdateItemQuantities '
      additionalProperties: false
      properties:
        MinimumOrderQuantity:
          type: number
          description: The minimum order quantity of the item.
          format: decimal
        MinimumPurchaseQuantityForCustomerGroup:
          type: array
          description: >-
            A collection of minimum order quantities for different customer
            groups.
          items:
            $ref: >-
              #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemMinimumPurchaseQuantityForCustomerGroup
        PermissibleOrderQuantity:
          type: number
          description: >-
            The permissible order quantity for the item. Indicates the
            increments in which the item is sold.
          format: decimal
    JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemDangerousGoods:
      type: object
      description: 'Model Class: UpdateItemDangerousGoods '
      additionalProperties: false
      properties:
        UnNumber:
          type: string
          description: The UN number for the item.
        HazardNo:
          type: string
          description: The hazard number for the item.
    JTL.Data.Contracts.Keys.LieferstatusKey:
      type: integer
      format: int32
      additionalProperties: false
    JTL.Wawi.Rest.Contracts.Models.V1.Item.CategoryReference:
      type: object
      description: 'Model Class: CategoryReference '
      additionalProperties: false
      required:
        - CategoryId
        - Name
      properties:
        CategoryId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.KategorieKey'
          description: Unique ID to identify a category.
        Name:
          type: string
          description: Name in the default language of the category.
    JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemIdentifiers:
      type: object
      description: 'Model Class: ItemIdentifiers '
      additionalProperties: false
      required:
        - Gtin
        - ManufacturerNumber
        - ISBN
        - UPC
        - AmazonFnsku
        - Asins
        - OwnIdentifier
      properties:
        Gtin:
          type: string
          description: GTIN
        ManufacturerNumber:
          type: string
          description: Manufacturer number.
        ISBN:
          type: string
          description: ISBN
        UPC:
          type: string
          description: UPC
        AmazonFnsku:
          type: string
          description: An item's Amazon FNSKU.
        Asins:
          type: array
          description: A list of the item's ASINs.
          items:
            type: string
        OwnIdentifier:
          type: string
          description: A custom identifier for the item.
    JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemComponent:
      type: object
      description: 'Model Class: ItemComponent '
      additionalProperties: false
      required:
        - ItemId
        - Quantity
        - SortNumber
      properties:
        ItemId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ArtikelKey'
          description: Item ID of the item's component.
        Quantity:
          type: number
          description: Quantity of the component in the bill of material.
          format: decimal
        SortNumber:
          type: integer
          description: >-
            Defines the order of the components when shown in lists and sales
            channels.
          format: int32
    JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemPrice:
      type: object
      description: 'Model Class: ItemPrice '
      additionalProperties: false
      required:
        - SalesPriceNet
        - SuggestedRetailPrice
        - PurchasePriceNet
        - EbayPrice
        - AmazonPrice
      properties:
        SalesPriceNet:
          type: number
          description: The net sales price of the item.
          format: decimal
        SuggestedRetailPrice:
          type: number
          description: The suggested retail price for the item.
          format: decimal
        PurchasePriceNet:
          type: number
          description: The purchase price of the item.
          format: decimal
        EbayPrice:
          type: number
          description: Default price in new listing templates.
          format: decimal
        AmazonPrice:
          type: number
          description: Brutto price for new Amazon listings.
          format: decimal
    JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemStorageOption:
      type: object
      description: 'Model Class: ItemStorageOption '
      additionalProperties: false
      required:
        - InventoryManagementActive
        - SplitQuantity
        - GlobalMinimumStockLevel
        - Buffer
        - SerialNumberItem
        - SerialNumberTracking
        - SubjectToShelfLifeExpirationDate
        - SubjectToBatchItem
        - ProcurementTime
        - DetermineProcurementTimeAutomatically
        - AdditionalHandlingTime
      properties:
        InventoryManagementActive:
          type: boolean
          description: >-
            Indicates if inventory management for the item is active, meaning
            that the item displays stock quantities.
        SplitQuantity:
          type: boolean
          description: Indicates if the item can be split into quantities less than 1.
        GlobalMinimumStockLevel:
          type: number
          description: >-
            Defines the minimum quantity that should always be in stock. For
            example, when calculating purchasing orders.
          format: decimal
        Buffer:
          type: integer
          description: >-
            The buffer of the item. Used when selling time-delayed across
            different sales channels, so as not to sell more than is in stock.
          format: int32
        SerialNumberItem:
          type: boolean
          description: Indicates the item's serial number when shipping the sales orders.
        SerialNumberTracking:
          type: boolean
          description: >-
            Indicates if serial numbers are to be identified during a goods
            receipt process from a supplier.
        SubjectToShelfLifeExpirationDate:
          type: boolean
          description: >-
            Indicates if the item has an expiration date, also known as a best
            before date.
        SubjectToBatchItem:
          type: boolean
          description: Indicates whether the item is a batch item or not.
        ProcurementTime:
          type: integer
          description: >-
            The procurement time indicates how many days it will take for the
            goods to be ready for shipment if they are currently out of stock.
            Procurement time is determined automatically on the basis of the
            supplier’s delivery time. By default, the delivery time of the
            default supplier is used as the procurement time. If additional
            processing time (in days) has been specified, this is added to the
            procurement time.
          format: int32
        DetermineProcurementTimeAutomatically:
          type: boolean
          description: >-
            If this option is set, the procurement time will be calculated from
            the default supplier's shipment time.
        AdditionalHandlingTime:
          type: integer
          description: >-
            Indicates the additional processing time in days required to
            process. It is always added to the delivery time.
          format: int32
    JTL.Data.Contracts.Keys.ZustandKey:
      type: integer
      format: int32
      additionalProperties: false
    JTL.Wawi.Rest.Contracts.Models.V1.Common.Dimensions:
      type: object
      description: 'Model Class: Dimensions '
      additionalProperties: false
      required:
        - Length
        - Width
        - Height
      properties:
        Length:
          type: number
          description: Length
          format: decimal
        Width:
          type: number
          description: Width
          format: decimal
        Height:
          type: number
          description: Height
          format: decimal
    JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemWeights:
      type: object
      description: 'Model Class: ItemWeights '
      additionalProperties: false
      required:
        - ItemWeigth
        - ShippingWeight
      properties:
        ItemWeigth:
          type: number
          description: The weight of the item in kilograms.
          format: decimal
        ShippingWeight:
          type: number
          description: The shipping weight of the item in kilograms.
          format: decimal
    JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemQuantities:
      type: object
      description: 'Model Class: ItemQuantities '
      additionalProperties: false
      required:
        - MinimumOrderQuantity
        - MinimumPurchaseQuantityForCustomerGroup
        - PermissibleOrderQuantity
      properties:
        MinimumOrderQuantity:
          type: number
          description: The minimum order quantity of the item.
          format: decimal
        MinimumPurchaseQuantityForCustomerGroup:
          type: array
          description: >-
            A collection of minimum order quantities for different customer
            groups.
          items:
            $ref: >-
              #/components/schemas/JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemMinimumPurchaseQuantityForCustomerGroup
        PermissibleOrderQuantity:
          type: number
          description: >-
            The permissible order quantity for the item. Indicates the
            increments in which the item is sold.
          format: decimal
    JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemDangerousGoods:
      type: object
      description: 'Model Class: ItemDangerousGoods '
      additionalProperties: false
      required:
        - UnNumber
        - HazardNo
      properties:
        UnNumber:
          type: string
          description: The UN number for the item.
        HazardNo:
          type: string
          description: The hazard number for the item.
    JTL.Data.Contracts.Keys.KategorieKey:
      type: integer
      format: int32
      additionalProperties: false
    JTL.Wawi.Rest.Contracts.Models.V1.Item.UpdateItemMinimumPurchaseQuantityForCustomerGroup:
      type: object
      description: 'Model Class: UpdateItemMinimumPurchaseQuantityForCustomerGroup '
      additionalProperties: false
      required:
        - CustomerGroupId
      properties:
        CustomerGroupId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.KundenGruppeKey'
          description: Unique ID to identify a customer group.
        PermissibleOrderQuantity:
          type: number
          description: >-
            The permissible order quantity for the item. Indicates the
            increments in which the item is sold.
          format: decimal
        MinimumPurchaseQuantity:
          type: number
          description: The minimum purchase quantity for a customer group.
          format: decimal
        IsActive:
          type: boolean
          description: Indicates if this setting is active or deactivated.
    JTL.Wawi.Rest.Contracts.Models.V1.Item.ItemMinimumPurchaseQuantityForCustomerGroup:
      type: object
      description: 'Model Class: ItemMinimumPurchaseQuantityForCustomerGroup '
      additionalProperties: false
      required:
        - CustomerGroupId
        - PermissibleOrderQuantity
        - MinimumPurchaseQuantity
        - IsActive
      properties:
        CustomerGroupId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.KundenGruppeKey'
          description: Unique ID to identify a customer group.
        PermissibleOrderQuantity:
          type: number
          description: >-
            The permissible order quantity for the item. Indicates the
            increments in which the item is sold.
          format: decimal
        MinimumPurchaseQuantity:
          type: number
          description: The minimum purchase quantity for a customer group.
          format: decimal
        IsActive:
          type: boolean
          description: Indicates if this setting is active or deactivated.
    JTL.Data.Contracts.Keys.KundenGruppeKey:
      type: integer
      format: int32
      additionalProperties: false
  securitySchemes:
    oauth2-authorization-code:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://auth.jtl-cloud.com/oauth2/auth
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            wawiapp.all: Grants access to Wawi app related operations.
            accountingdata.queryaccountingdata: Grants permission to query and retrieve accounting data.
            accountings.read: Grants permission to read accounting data.
            all.read: Allows the application to read all data.
            authentication.registerforeignapp: >-
              Grants permission to register new third-party apps directly in the
              Wawi.
            authentication.removeforeignapp: Grants permission to remove registered third-party apps.
            authentication.removeforeignappbyappid: >-
              Grants permission to remove a registered third-party app by its
              app ID.
            authentication.removeforeignappbyregistrationid: >-
              Grants permission to remove a registered third-party app by its
              registration ID.
            authentication.updateforeignapp: Grants permission to update registered third-party apps.
            authentication.updateforeignappbyappid: >-
              Grants permission to update the registration of a third-party app
              by its app ID.
            authentication.updateforeignappbyregistrationid: >-
              Grants permission to update the registration of a third-party app
              by its registration ID.
            availability.queryavailabilities: Grants permission to query and retrieve availabilities.
            cancellationreason.querycancellationreasons: Grants permission to query and retrieve cancellation reasons.
            category.addcategoryitems: Grants permission to add items to specific categories.
            category.createcategory: Grants permission to create categories.
            category.createcategorydescription: Grants permission to create category descriptions.
            category.deletecategorydescription: Grants permission to delete category descriptions.
            category.getcategory: Grants permission to retrieve category details.
            category.querycategories: Grants permission to query and retrieve multiple categories.
            category.querycategorydescriptions: Grants permission to query and retrieve category descriptions.
            category.updatecategory: Grants permission to update and retrieve categories.
            category.updatecategorydescription: Grants permission to update and retrieve category descriptions.
            colorcode.querycolorcodes: Grants permission to query and retrieve color codes.
            company.querycompanies: Grants permission to query and retrieve company details.
            condition.queryconditions: Grants permission to query and retrieve conditions.
            creditnote.mailcreditnote: Grants permission to send credit notes by email.
            creditnote.pdfcreditnote: Grants permission to generate credit notes as a PDF document.
            creditnote.printcreditnote: Grants permission to print credit notes.
            cusomters.read: Grants permission to read customer data.
            customer.createcustomer: Grants permission to create and retrieve customer details.
            customer.createcustomerbankaccount: Grants permission to create and retrieve customer bank accounts.
            customer.createcustomercontact: Grants permission to create and retrieve customer contacts.
            customer.createcustomernote: Grants permission to create and retrieve customer notes.
            customer.deletecustomer: Grants permission to delete and retrieve customer details.
            customer.deletecustomerbankaccount: Grants permission to delete and retrieve customer bank accounts.
            customer.deletecustomercontact: Grants permission to delete and retrieve customer contacts.
            customer.deletecustomercustomfield: Grants permission to delete and retrieve customer custom fields.
            customer.deletecustomernote: Grants permission to delete and retrieve customer notes.
            customer.getcustomer: Grants permission to retrieve customer details.
            customer.getcustomerbankaccount: Grants permission to retrieve customer bank account details.
            customer.getcustomercontact: Grants permission to retrieve customer contact details.
            customer.getcustomerlastchange: >-
              Grants permission to query the customers that have changed since a
              given point in time.
            customer.getcustomernote: Grants permission to retrieve customer note details.
            customer.querycustomerbankaccounts: Grants permission to query and retrieve customer bank accounts.
            customer.querycustomercontacts: Grants permission to query and retrieve customer contacts.
            customer.querycustomercustomfields: Grants permission to query and retrieve customer custom fields.
            customer.querycustomercustomfieldvalues: >-
              Grants permission to query and retrieve custom field values for
              customers.
            customer.querycustomernotes: Grants permission to query and retrieve customer notes.
            customer.querycustomers: Grants permission to query and retrieve customer data.
            customer.querycustomerworkflowevents: Grants permission to query and retrieve customer workflow events.
            customer.triggercustomerworkflow: Grants permission to trigger workflow events for customers.
            customer.triggercustomerworkflowevent: Grants permission to trigger customer workflow events.
            customer.updatecustomer: Grants permission to update and retrieve customer details.
            customer.updatecustomerbankaccount: Grants permission to update and retrieve customer bank accounts.
            customer.updatecustomercontact: Grants permission to update and retrieve customer contacts.
            customer.updatecustomercustomfield: Grants permission to update and retrieve customer custom fields.
            customer.updatecustomernote: Grants permission to update and retrieve customer notes.
            customercategory.createcustomercategory: Grants permission to create and retrieve customer categories.
            customercategory.deletecustomercategory: Grants permission to delete and retrieve customer categories.
            customercategory.getcustomercategory: Grants permission to retrieve customer category details.
            customercategory.querycustomercategories: Grants permission to query and retrieve customer categories.
            customercategory.updatecustomercategory: Grants permission to update and retrieve customer categories.
            customergroup.createcustomergroup: Grants permission to create and retrieve customer groups.
            customergroup.deletecustomergroup: Grants permission to delete and retrieve customer groups.
            customergroup.getcustomergroup: Grants permission to retrieve customer group details.
            customergroup.querycustomergroups: Grants permission to query and retrieve customer groups.
            customergroup.updatecustomergroup: Grants permission to update and retrieve customer groups.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliveryapi.cancelreservation: Grants permission to cancel stock reservations.
            deliveryapi.deliversalesorder: Grants permission to ship and deliver sales orders.
            deliveryapi.queryreservations: Grants permission to retrieve all reserved sales orders.
            deliveryapi.reassignstock: Grants permission to re-reserve and reassign stock.
            deliveryapi.reservesalesorders: Grants permission to reserve stock for sales orders.
            deliverynote.getdeliverynote: Grants permission to retrieve delivery notes.
            deliverynote.getdeliverynotepackages: Grants permission to retrieve delivery note packages.
            deliverynote.maildeliverynote: Grants permission to send delivery notes by email.
            deliverynote.package: Grants permission to manage delivery note packages.
            deliverynote.patchpackagedata: Grants permission to patch package data for delivery notes.
            deliverynote.pdfdeliverynote: Grants permission to generate delivery notes as a PDF document.
            deliverynote.postpackagedatafordeliverynote: Grants permission to post package data for delivery notes.
            deliverynote.printdeliverynote: Grants permission to print delivery notes.
            deliverynote.querydeliverynotes: Grants permission to query and retrieve delivery notes.
            deliverynote.triggerdeliverynoteworkflow: Grants permission to trigger workflow events for delivery notes.
            deliverynotes.package: Grants permission to manage delivery note packages.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.createextension: Grants permission to register an extension.
            extensibility.deleteextension: Grants permission to delete and thereby deactivate an extension.
            extensibility.getextension: Grants permission to retrieve a single extension.
            extensibility.getextensions: Grants permission to retrieve all installed extensions.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            extensibility.putextensionmanifest: >-
              Grants permission to push an extension manifest together with its
              signature.
            extensibility.updateextension: Grants permission to update information of an extension.
            foreignapps.manage: >-
              Grants permission to manage registered third-party apps
              (registration, update and removal).
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoice.cancelinvoice: Grants permission to cancel an invoice
            invoice.finalizeinvoice: Grants permission to finalize an invoice
            invoice.getinvoice: Grants permission to retrieve invoices.
            invoice.mailinvoice: Grants permission to send invoices by email.
            invoice.pdfinvoice: Grants permission to generate invoices as a PDF document.
            invoice.printinvoice: Grants permission to print invoices.
            invoice.queryinvoicecancellationreasons: >-
              Grants permission to query and retrieve invoice cancellation
              reasons.
            invoice.queryinvoicelineitems: Grants permission to query and retrieve invoice line items.
            invoice.queryinvoices: Grants permission to query and retrieve invoices.
            invoice.queryinvoiceworkflowevents: Grants permission to query and retrieve invoice workflow events.
            invoice.triggerinvoiceworkflow: Grants permission to trigger invoice workflows
            invoice.triggerinvoiceworkflowevent: Grants permission to trigger invoice workflow events.
            invoices.print: Grants permission to print and output invoices.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            item.assignchilditemtoparent: Grants permission to assign child items to parent items.
            item.createitem: Grants permission to create and retrieve items.
            item.createitemcustomerprice: Grants permission to create and retrieve item customer prices.
            item.createitemdescription: Grants permission to create and retrieve item descriptions.
            item.createitemimage: Grants permission to create and retrieve item images.
            item.createitemproperty: Grants permission to create and retrieve item properties.
            item.createitemsaleschannelprice: >-
              Grants permission to create and retrieve item sales channel
              prices.
            item.createitemsupplier: Grants permission to create and retrieve item suppliers.
            item.createitemvariation: Grants permission to create and retrieve item variations.
            item.createitemvariationvalue: Grants permission to create and retrieve item variation values.
            item.deleteitemcustomerprice: Grants permission to delete and retrieve item customer prices.
            item.deleteitemcustomfield: Grants permission to delete and retrieve item custom fields.
            item.deleteitemdescription: Grants permission to delete and retrieve item descriptions.
            item.deleteitemimage: Grants permission to delete and retrieve item images.
            item.deleteitemproperty: Grants permission to delete and retrieve item properties.
            item.deleteitemsaleschannelprice: >-
              Grants permission to delete and retrieve item sales channel
              prices.
            item.deleteitemsupplier: Grants permission to delete and retrieve item suppliers.
            item.deleteitemvariation: Grants permission to delete and retrieve item variations.
            item.deleteitemvariationvalue: Grants permission to delete and retrieve item variation values.
            item.getitem: Grants permission to retrieve item details.
            item.queryitemcustomerprices: Grants permission to query and retrieve item customer prices.
            item.queryitemcustomfields: Grants permission to query and retrieve item custom fields.
            item.queryitemcustomfieldvalues: Grants permission to query and retrieve item custom field values.
            item.queryitemdescriptions: Grants permission to query and retrieve item descriptions.
            item.queryitemimagedata: Grants permission to query and retrieve item image data.
            item.queryitemimages: Grants permission to query and retrieve item images.
            item.queryitemproperties: Grants permission to query and retrieve item properties.
            item.queryitems: Grants permission to query and retrieve items.
            item.queryitemsaleschannelprice: Grants permission to query and retrieve item sales channel prices.
            item.queryitemspecialprice: Grants permission to query and retrieve item special prices.
            item.queryitemsuppliers: Grants permission to query and retrieve item suppliers.
            item.queryitemvariations: Grants permission to query and retrieve item variations.
            item.queryitemvariationvalues: Grants permission to query and retrieve item variation values.
            item.queryitemworkflowevents: Grants permission to query and retrieve item workflow events.
            item.triggeritemworkflow: Grants permission to trigger workflow events for items.
            item.triggeritemworkflowevent: Grants permission to trigger item workflow events.
            item.updateitem: Grants permission to update and retrieve items.
            item.updateitemcustomerprice: Grants permission to update and retrieve item customer prices.
            item.updateitemcustomfield: Grants permission to update and retrieve item custom fields.
            item.updateitemdescription: Grants permission to update and retrieve item descriptions.
            item.updateitemimage: Grants permission to update and retrieve item images.
            item.updateitemsaleschannelprice: >-
              Grants permission to update and retrieve item sales channel
              prices.
            item.updateitemsaleschannels: Grants permission to update the active sales channels of an item.
            item.updateitemspecialprice: Grants permission to update and retrieve item special prices.
            item.updateitemsupplier: Grants permission to update and retrieve item suppliers.
            item.updateitemvariation: Grants permission to update and retrieve item variations.
            item.updateitemvariationvalue: Grants permission to update and retrieve item variation values.
            items.read: Grants permission to read item master data.
            items.write: Grants permission to create and modify item master data.
            manufacturer.querymanufacturers: Grants permission to query and retrieve manufacturers.
            numberranges.createnumberrange: Grants permission to create number ranges.
            numberranges.deletenumberrange: Grants permission to delete number ranges.
            numberranges.getnumberrange: >-
              Grants permission to retrieve the details of a single number
              range.
            numberranges.getnumberranges: Grants permission to retrieve the list of all number ranges.
            numberranges.numberrangeincrement: >-
              Increments the counter of a number range and returns the next
              value.
            numberranges.numberrangepreview: >-
              Returns a preview of the next value of a number range without
              incrementing the counter.
            numberranges.updatenumberrange: Grants permission to update number ranges.
            offer.mailoffer: Grants permission to send offers by email.
            offer.pdfoffer: Grants permission to generate offers as a PDF document.
            offer.printoffer: Grants permission to print offers.
            offers.print: Grants permission to print and output offers.
            offers.read: Grants permission to read offers.
            onholdreason.queryonholdreasons: Grants permission to query and retrieve on-hold reasons.
            orders.read: Grants permission to read orders.
            paymentmethod.querypaymentmethods: Grants permission to query and retrieve payment methods.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            printers.installedprinters: >-
              Grants permission to retrieve the printers installed on the
              system.
            productgroup.queryproductgroups: Grants permission to query and retrieve product groups.
            property.createproperty: Grants permission to create and retrieve properties.
            property.createpropertygroup: Grants permission to create and retrieve property groups.
            property.createpropertyvalue: Grants permission to create and retrieve property values.
            property.createpropertyvaluedescription: >-
              Grants permission to create and retrieve property value
              descriptions.
            property.deletepropertyvalue: Grants permission to delete and retrieve property values.
            property.deletepropertyvaluedescription: >-
              Grants permission to delete and retrieve property value
              descriptions.
            property.queryproperties: Grants permission to query and retrieve properties.
            property.querypropertygroups: Grants permission to query and retrieve property groups.
            property.querypropertyvaluedescriptions: >-
              Grants permission to query and retrieve property value
              descriptions.
            property.querypropertyvalues: Grants permission to query and retrieve property values.
            property.updatepropertyvalue: Grants permission to update and retrieve property values.
            property.updatepropertyvaluedescription: >-
              Grants permission to update and retrieve property value
              descriptions.
            refund.queryrefundcancellationreasons: >-
              Grants permission to query sales invoice correction cancellation
              reasons
            responsibleperson.queryresponsiblepersons: Grants permission to query and retrieve responsible persons.
            return.createreturn: Grants permission to create returns.
            return.getreturn: Grants permission to retrieve return details.
            return.queryreturnlineitems: Grants permission to query and retrieve return line items.
            return.queryreturnpackages: Grants permission to query the shipping information of returns.
            return.queryreturns: Grants permission to query and retrieve returns.
            returnreason.queryreturnreasons: Grants permission to query and retrieve return reasons.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            returnstate.queryreturnstates: Grants permission to query and retrieve return states.
            saleschannel.getsaleschannels: Grants permission to retrieve sales channels.
            saleschannels.read: Grants permission to read sales channels.
            salesinvoicecorrection.finalizesalesinvoicecorrection: Grants permission to finalize a sales invoice correction
            salesinvoicecorrection.querysalesinvoicecorrectioncancellationreasons: >-
              Grants permission to query the sales invoice correction
              cancellation reasons
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorder.cancelsalesorder: Grants permission to cancel and retrieve sales orders.
            salesorder.createsalesorder: Grants permission to create and retrieve sales orders.
            salesorder.createsalesorderfile: Grants permission to create and retrieve sales order files.
            salesorder.createsalesorderlineitem: Grants permission to create and retrieve sales order line items.
            salesorder.createsalesorderlineitemfile: >-
              Grants permission to create and retrieve sales order line item
              files.
            salesorder.createsalesordernote: Grants permission to create and retrieve sales order notes.
            salesorder.deletesalesordercustomfield: >-
              Grants permission to delete and retrieve sales order custom
              fields.
            salesorder.deletesalesorderfile: Grants permission to delete and retrieve sales order files.
            salesorder.deletesalesorderlineitem: Grants permission to delete and retrieve sales order line items.
            salesorder.deletesalesorderlineitemfile: Grants permission to delete sales order line item files.
            salesorder.deletesalesordernote: Grants permission to delete and retrieve sales order notes.
            salesorder.getsalesorder: Grants permission to retrieve sales orders.
            salesorder.mailsalesorder: Grants permission to send sales orders by email.
            salesorder.newinvoice: Grants permission to create an invoice for a sales order.
            salesorder.pdfsalesorder: Grants permission to generate sales orders as a PDF document.
            salesorder.printsalesorder: Grants permission to print sales orders.
            salesorder.querysalesordercancellationreasons: >-
              Grants permission to query and retrieve sales order cancellation
              reasons.
            salesorder.querysalesordercustomfields: Grants permission to query and retrieve sales order custom fields.
            salesorder.querysalesordercustomfieldvalues: >-
              Grants permission to query and retrieve sales order custom field
              values.
            salesorder.querysalesorderfiledata: Grants permission to query and retrieve sales order file data.
            salesorder.querysalesorderfiles: Grants permission to query and retrieve sales order files.
            salesorder.querysalesorderlineitemfiledata: >-
              Grants permission to query and retrieve sales order line item file
              data.
            salesorder.querysalesorderlineitemfiles: >-
              Grants permission to query and retrieve sales order line item
              files.
            salesorder.querysalesorderlineitems: Grants permission to query and retrieve sales order line items.
            salesorder.querysalesordernotes: Grants permission to query and retrieve sales order notes.
            salesorder.querysalesorders: Grants permission to query and retrieve sales orders.
            salesorder.querysalesorderworkflowevents: >-
              Grants permission to query and retrieve sales order workflow
              events.
            salesorder.triggersalesorderworkflow: Grants permission to trigger workflow events for sales orders.
            salesorder.triggersalesorderworkflowevent: Grants permission to trigger sales order workflow events.
            salesorder.undosalesordercancellation: Grants the permission to undo an order cancellation.
            salesorder.updatesalesorder: Grants permission to update and retrieve sales orders.
            salesorder.updatesalesordercustomfield: >-
              Grants permission to update and retrieve sales order custom
              fields.
            salesorder.updatesalesorderfile: Grants permission to update and retrieve sales order files.
            salesorder.updatesalesorderlineitem: Grants permission to update and retrieve sales order line items.
            salesorder.updatesalesorderlineitemfile: >-
              Grants permission to update and retrieve sales order line item
              files.
            salesorder.updatesalesordernote: Grants permission to update and retrieve sales order notes.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            shippingclass.queryshippingclasses: Grants permission to query and retrieve shipping classes.
            shippingmethod.queryshippingmethods: Grants permission to query and retrieve shipping methods.
            stock.queryserialnumberperwarehouse: >-
              Grants permission to query and retrieve serial numbers per
              warehouse.
            stock.querystockchanges: Grants permission to query and retrieve stock changes.
            stock.querystocksperitem: Grants permission to query and retrieve stock per item.
            stock.stockadjustment: Grants permission to adjust and retrieve stock levels.
            supplier.querysuppliers: Grants permission to query and retrieve suppliers.
            suppliers.read: Grants permission to read suppliers.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            system.read: Grants permission to read system-related data and configuration.
            system.worker.read: >-
              Grants permission to read the configuration and status of
              background workers.
            system.worker.write: Grants permission to configure and control background workers.
            taxclass.querytaxclasses: Grants permission to query and retrieve tax classes.
            taxes.read: Grants permission to read tax data.
            transactionstatus.querytransactionstatus: Grants permission to query and retrieve transaction statuses.
            warehouse.querystoragelocations: Grants permission to query and retrieve storage locations.
            warehouse.querystoragelocationtype: Grants permission to query and retrieve storage location types.
            warehouse.querywarehouses: Grants permission to query and retrieve warehouses.
            warehouse.querywarehousetypes: Grants permission to query and retrieve warehouse types.
            warehouse.read: Grants permission to read warehouse data.
            wms.changereservation: >-
              Grants permission to change stock reservations in warehouse
              management.
            wms.createpicklist: Grants permission to create and retrieve pick lists.
            wms.deletepicklistposition: Grants permission to delete a position from a pick list.
            wms.pickposition: Grants permission to pick a pick list position.
            wms.querypicklist: Grants permission to query and retrieve pick lists.
            wms.querypicklistposition: Grants permission to query and retrieve pick list positions.
            wms.querypicklisttemplate: Grants permission to query and retrieve pick list templates.
            worker.configuresync: >-
              Grants permission to configure the synchronization of background
              workers.
            worker.getworkerstatus: Grants permission to retrieve the status of background workers.
            worker.getworkersyncs: >-
              Grants permission to retrieve the synchronization settings of
              background workers.
            worker.synccontrol: >-
              Grants permission to control the synchronization of background
              workers.
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.
    oauth2-client-credentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            wawiapp.all: Grants access to Wawi app related operations.
            accountingdata.queryaccountingdata: Grants permission to query and retrieve accounting data.
            accountings.read: Grants permission to read accounting data.
            all.read: Allows the application to read all data.
            authentication.registerforeignapp: >-
              Grants permission to register new third-party apps directly in the
              Wawi.
            authentication.removeforeignapp: Grants permission to remove registered third-party apps.
            authentication.removeforeignappbyappid: >-
              Grants permission to remove a registered third-party app by its
              app ID.
            authentication.removeforeignappbyregistrationid: >-
              Grants permission to remove a registered third-party app by its
              registration ID.
            authentication.updateforeignapp: Grants permission to update registered third-party apps.
            authentication.updateforeignappbyappid: >-
              Grants permission to update the registration of a third-party app
              by its app ID.
            authentication.updateforeignappbyregistrationid: >-
              Grants permission to update the registration of a third-party app
              by its registration ID.
            availability.queryavailabilities: Grants permission to query and retrieve availabilities.
            cancellationreason.querycancellationreasons: Grants permission to query and retrieve cancellation reasons.
            category.addcategoryitems: Grants permission to add items to specific categories.
            category.createcategory: Grants permission to create categories.
            category.createcategorydescription: Grants permission to create category descriptions.
            category.deletecategorydescription: Grants permission to delete category descriptions.
            category.getcategory: Grants permission to retrieve category details.
            category.querycategories: Grants permission to query and retrieve multiple categories.
            category.querycategorydescriptions: Grants permission to query and retrieve category descriptions.
            category.updatecategory: Grants permission to update and retrieve categories.
            category.updatecategorydescription: Grants permission to update and retrieve category descriptions.
            colorcode.querycolorcodes: Grants permission to query and retrieve color codes.
            company.querycompanies: Grants permission to query and retrieve company details.
            condition.queryconditions: Grants permission to query and retrieve conditions.
            creditnote.mailcreditnote: Grants permission to send credit notes by email.
            creditnote.pdfcreditnote: Grants permission to generate credit notes as a PDF document.
            creditnote.printcreditnote: Grants permission to print credit notes.
            cusomters.read: Grants permission to read customer data.
            customer.createcustomer: Grants permission to create and retrieve customer details.
            customer.createcustomerbankaccount: Grants permission to create and retrieve customer bank accounts.
            customer.createcustomercontact: Grants permission to create and retrieve customer contacts.
            customer.createcustomernote: Grants permission to create and retrieve customer notes.
            customer.deletecustomer: Grants permission to delete and retrieve customer details.
            customer.deletecustomerbankaccount: Grants permission to delete and retrieve customer bank accounts.
            customer.deletecustomercontact: Grants permission to delete and retrieve customer contacts.
            customer.deletecustomercustomfield: Grants permission to delete and retrieve customer custom fields.
            customer.deletecustomernote: Grants permission to delete and retrieve customer notes.
            customer.getcustomer: Grants permission to retrieve customer details.
            customer.getcustomerbankaccount: Grants permission to retrieve customer bank account details.
            customer.getcustomercontact: Grants permission to retrieve customer contact details.
            customer.getcustomerlastchange: >-
              Grants permission to query the customers that have changed since a
              given point in time.
            customer.getcustomernote: Grants permission to retrieve customer note details.
            customer.querycustomerbankaccounts: Grants permission to query and retrieve customer bank accounts.
            customer.querycustomercontacts: Grants permission to query and retrieve customer contacts.
            customer.querycustomercustomfields: Grants permission to query and retrieve customer custom fields.
            customer.querycustomercustomfieldvalues: >-
              Grants permission to query and retrieve custom field values for
              customers.
            customer.querycustomernotes: Grants permission to query and retrieve customer notes.
            customer.querycustomers: Grants permission to query and retrieve customer data.
            customer.querycustomerworkflowevents: Grants permission to query and retrieve customer workflow events.
            customer.triggercustomerworkflow: Grants permission to trigger workflow events for customers.
            customer.triggercustomerworkflowevent: Grants permission to trigger customer workflow events.
            customer.updatecustomer: Grants permission to update and retrieve customer details.
            customer.updatecustomerbankaccount: Grants permission to update and retrieve customer bank accounts.
            customer.updatecustomercontact: Grants permission to update and retrieve customer contacts.
            customer.updatecustomercustomfield: Grants permission to update and retrieve customer custom fields.
            customer.updatecustomernote: Grants permission to update and retrieve customer notes.
            customercategory.createcustomercategory: Grants permission to create and retrieve customer categories.
            customercategory.deletecustomercategory: Grants permission to delete and retrieve customer categories.
            customercategory.getcustomercategory: Grants permission to retrieve customer category details.
            customercategory.querycustomercategories: Grants permission to query and retrieve customer categories.
            customercategory.updatecustomercategory: Grants permission to update and retrieve customer categories.
            customergroup.createcustomergroup: Grants permission to create and retrieve customer groups.
            customergroup.deletecustomergroup: Grants permission to delete and retrieve customer groups.
            customergroup.getcustomergroup: Grants permission to retrieve customer group details.
            customergroup.querycustomergroups: Grants permission to query and retrieve customer groups.
            customergroup.updatecustomergroup: Grants permission to update and retrieve customer groups.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliveryapi.cancelreservation: Grants permission to cancel stock reservations.
            deliveryapi.deliversalesorder: Grants permission to ship and deliver sales orders.
            deliveryapi.queryreservations: Grants permission to retrieve all reserved sales orders.
            deliveryapi.reassignstock: Grants permission to re-reserve and reassign stock.
            deliveryapi.reservesalesorders: Grants permission to reserve stock for sales orders.
            deliverynote.getdeliverynote: Grants permission to retrieve delivery notes.
            deliverynote.getdeliverynotepackages: Grants permission to retrieve delivery note packages.
            deliverynote.maildeliverynote: Grants permission to send delivery notes by email.
            deliverynote.package: Grants permission to manage delivery note packages.
            deliverynote.patchpackagedata: Grants permission to patch package data for delivery notes.
            deliverynote.pdfdeliverynote: Grants permission to generate delivery notes as a PDF document.
            deliverynote.postpackagedatafordeliverynote: Grants permission to post package data for delivery notes.
            deliverynote.printdeliverynote: Grants permission to print delivery notes.
            deliverynote.querydeliverynotes: Grants permission to query and retrieve delivery notes.
            deliverynote.triggerdeliverynoteworkflow: Grants permission to trigger workflow events for delivery notes.
            deliverynotes.package: Grants permission to manage delivery note packages.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.createextension: Grants permission to register an extension.
            extensibility.deleteextension: Grants permission to delete and thereby deactivate an extension.
            extensibility.getextension: Grants permission to retrieve a single extension.
            extensibility.getextensions: Grants permission to retrieve all installed extensions.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            extensibility.putextensionmanifest: >-
              Grants permission to push an extension manifest together with its
              signature.
            extensibility.updateextension: Grants permission to update information of an extension.
            foreignapps.manage: >-
              Grants permission to manage registered third-party apps
              (registration, update and removal).
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoice.cancelinvoice: Grants permission to cancel an invoice
            invoice.finalizeinvoice: Grants permission to finalize an invoice
            invoice.getinvoice: Grants permission to retrieve invoices.
            invoice.mailinvoice: Grants permission to send invoices by email.
            invoice.pdfinvoice: Grants permission to generate invoices as a PDF document.
            invoice.printinvoice: Grants permission to print invoices.
            invoice.queryinvoicecancellationreasons: >-
              Grants permission to query and retrieve invoice cancellation
              reasons.
            invoice.queryinvoicelineitems: Grants permission to query and retrieve invoice line items.
            invoice.queryinvoices: Grants permission to query and retrieve invoices.
            invoice.queryinvoiceworkflowevents: Grants permission to query and retrieve invoice workflow events.
            invoice.triggerinvoiceworkflow: Grants permission to trigger invoice workflows
            invoice.triggerinvoiceworkflowevent: Grants permission to trigger invoice workflow events.
            invoices.print: Grants permission to print and output invoices.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            item.assignchilditemtoparent: Grants permission to assign child items to parent items.
            item.createitem: Grants permission to create and retrieve items.
            item.createitemcustomerprice: Grants permission to create and retrieve item customer prices.
            item.createitemdescription: Grants permission to create and retrieve item descriptions.
            item.createitemimage: Grants permission to create and retrieve item images.
            item.createitemproperty: Grants permission to create and retrieve item properties.
            item.createitemsaleschannelprice: >-
              Grants permission to create and retrieve item sales channel
              prices.
            item.createitemsupplier: Grants permission to create and retrieve item suppliers.
            item.createitemvariation: Grants permission to create and retrieve item variations.
            item.createitemvariationvalue: Grants permission to create and retrieve item variation values.
            item.deleteitemcustomerprice: Grants permission to delete and retrieve item customer prices.
            item.deleteitemcustomfield: Grants permission to delete and retrieve item custom fields.
            item.deleteitemdescription: Grants permission to delete and retrieve item descriptions.
            item.deleteitemimage: Grants permission to delete and retrieve item images.
            item.deleteitemproperty: Grants permission to delete and retrieve item properties.
            item.deleteitemsaleschannelprice: >-
              Grants permission to delete and retrieve item sales channel
              prices.
            item.deleteitemsupplier: Grants permission to delete and retrieve item suppliers.
            item.deleteitemvariation: Grants permission to delete and retrieve item variations.
            item.deleteitemvariationvalue: Grants permission to delete and retrieve item variation values.
            item.getitem: Grants permission to retrieve item details.
            item.queryitemcustomerprices: Grants permission to query and retrieve item customer prices.
            item.queryitemcustomfields: Grants permission to query and retrieve item custom fields.
            item.queryitemcustomfieldvalues: Grants permission to query and retrieve item custom field values.
            item.queryitemdescriptions: Grants permission to query and retrieve item descriptions.
            item.queryitemimagedata: Grants permission to query and retrieve item image data.
            item.queryitemimages: Grants permission to query and retrieve item images.
            item.queryitemproperties: Grants permission to query and retrieve item properties.
            item.queryitems: Grants permission to query and retrieve items.
            item.queryitemsaleschannelprice: Grants permission to query and retrieve item sales channel prices.
            item.queryitemspecialprice: Grants permission to query and retrieve item special prices.
            item.queryitemsuppliers: Grants permission to query and retrieve item suppliers.
            item.queryitemvariations: Grants permission to query and retrieve item variations.
            item.queryitemvariationvalues: Grants permission to query and retrieve item variation values.
            item.queryitemworkflowevents: Grants permission to query and retrieve item workflow events.
            item.triggeritemworkflow: Grants permission to trigger workflow events for items.
            item.triggeritemworkflowevent: Grants permission to trigger item workflow events.
            item.updateitem: Grants permission to update and retrieve items.
            item.updateitemcustomerprice: Grants permission to update and retrieve item customer prices.
            item.updateitemcustomfield: Grants permission to update and retrieve item custom fields.
            item.updateitemdescription: Grants permission to update and retrieve item descriptions.
            item.updateitemimage: Grants permission to update and retrieve item images.
            item.updateitemsaleschannelprice: >-
              Grants permission to update and retrieve item sales channel
              prices.
            item.updateitemsaleschannels: Grants permission to update the active sales channels of an item.
            item.updateitemspecialprice: Grants permission to update and retrieve item special prices.
            item.updateitemsupplier: Grants permission to update and retrieve item suppliers.
            item.updateitemvariation: Grants permission to update and retrieve item variations.
            item.updateitemvariationvalue: Grants permission to update and retrieve item variation values.
            items.read: Grants permission to read item master data.
            items.write: Grants permission to create and modify item master data.
            manufacturer.querymanufacturers: Grants permission to query and retrieve manufacturers.
            numberranges.createnumberrange: Grants permission to create number ranges.
            numberranges.deletenumberrange: Grants permission to delete number ranges.
            numberranges.getnumberrange: >-
              Grants permission to retrieve the details of a single number
              range.
            numberranges.getnumberranges: Grants permission to retrieve the list of all number ranges.
            numberranges.numberrangeincrement: >-
              Increments the counter of a number range and returns the next
              value.
            numberranges.numberrangepreview: >-
              Returns a preview of the next value of a number range without
              incrementing the counter.
            numberranges.updatenumberrange: Grants permission to update number ranges.
            offer.mailoffer: Grants permission to send offers by email.
            offer.pdfoffer: Grants permission to generate offers as a PDF document.
            offer.printoffer: Grants permission to print offers.
            offers.print: Grants permission to print and output offers.
            offers.read: Grants permission to read offers.
            onholdreason.queryonholdreasons: Grants permission to query and retrieve on-hold reasons.
            orders.read: Grants permission to read orders.
            paymentmethod.querypaymentmethods: Grants permission to query and retrieve payment methods.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            printers.installedprinters: >-
              Grants permission to retrieve the printers installed on the
              system.
            productgroup.queryproductgroups: Grants permission to query and retrieve product groups.
            property.createproperty: Grants permission to create and retrieve properties.
            property.createpropertygroup: Grants permission to create and retrieve property groups.
            property.createpropertyvalue: Grants permission to create and retrieve property values.
            property.createpropertyvaluedescription: >-
              Grants permission to create and retrieve property value
              descriptions.
            property.deletepropertyvalue: Grants permission to delete and retrieve property values.
            property.deletepropertyvaluedescription: >-
              Grants permission to delete and retrieve property value
              descriptions.
            property.queryproperties: Grants permission to query and retrieve properties.
            property.querypropertygroups: Grants permission to query and retrieve property groups.
            property.querypropertyvaluedescriptions: >-
              Grants permission to query and retrieve property value
              descriptions.
            property.querypropertyvalues: Grants permission to query and retrieve property values.
            property.updatepropertyvalue: Grants permission to update and retrieve property values.
            property.updatepropertyvaluedescription: >-
              Grants permission to update and retrieve property value
              descriptions.
            refund.queryrefundcancellationreasons: >-
              Grants permission to query sales invoice correction cancellation
              reasons
            responsibleperson.queryresponsiblepersons: Grants permission to query and retrieve responsible persons.
            return.createreturn: Grants permission to create returns.
            return.getreturn: Grants permission to retrieve return details.
            return.queryreturnlineitems: Grants permission to query and retrieve return line items.
            return.queryreturnpackages: Grants permission to query the shipping information of returns.
            return.queryreturns: Grants permission to query and retrieve returns.
            returnreason.queryreturnreasons: Grants permission to query and retrieve return reasons.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            returnstate.queryreturnstates: Grants permission to query and retrieve return states.
            saleschannel.getsaleschannels: Grants permission to retrieve sales channels.
            saleschannels.read: Grants permission to read sales channels.
            salesinvoicecorrection.finalizesalesinvoicecorrection: Grants permission to finalize a sales invoice correction
            salesinvoicecorrection.querysalesinvoicecorrectioncancellationreasons: >-
              Grants permission to query the sales invoice correction
              cancellation reasons
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorder.cancelsalesorder: Grants permission to cancel and retrieve sales orders.
            salesorder.createsalesorder: Grants permission to create and retrieve sales orders.
            salesorder.createsalesorderfile: Grants permission to create and retrieve sales order files.
            salesorder.createsalesorderlineitem: Grants permission to create and retrieve sales order line items.
            salesorder.createsalesorderlineitemfile: >-
              Grants permission to create and retrieve sales order line item
              files.
            salesorder.createsalesordernote: Grants permission to create and retrieve sales order notes.
            salesorder.deletesalesordercustomfield: >-
              Grants permission to delete and retrieve sales order custom
              fields.
            salesorder.deletesalesorderfile: Grants permission to delete and retrieve sales order files.
            salesorder.deletesalesorderlineitem: Grants permission to delete and retrieve sales order line items.
            salesorder.deletesalesorderlineitemfile: Grants permission to delete sales order line item files.
            salesorder.deletesalesordernote: Grants permission to delete and retrieve sales order notes.
            salesorder.getsalesorder: Grants permission to retrieve sales orders.
            salesorder.mailsalesorder: Grants permission to send sales orders by email.
            salesorder.newinvoice: Grants permission to create an invoice for a sales order.
            salesorder.pdfsalesorder: Grants permission to generate sales orders as a PDF document.
            salesorder.printsalesorder: Grants permission to print sales orders.
            salesorder.querysalesordercancellationreasons: >-
              Grants permission to query and retrieve sales order cancellation
              reasons.
            salesorder.querysalesordercustomfields: Grants permission to query and retrieve sales order custom fields.
            salesorder.querysalesordercustomfieldvalues: >-
              Grants permission to query and retrieve sales order custom field
              values.
            salesorder.querysalesorderfiledata: Grants permission to query and retrieve sales order file data.
            salesorder.querysalesorderfiles: Grants permission to query and retrieve sales order files.
            salesorder.querysalesorderlineitemfiledata: >-
              Grants permission to query and retrieve sales order line item file
              data.
            salesorder.querysalesorderlineitemfiles: >-
              Grants permission to query and retrieve sales order line item
              files.
            salesorder.querysalesorderlineitems: Grants permission to query and retrieve sales order line items.
            salesorder.querysalesordernotes: Grants permission to query and retrieve sales order notes.
            salesorder.querysalesorders: Grants permission to query and retrieve sales orders.
            salesorder.querysalesorderworkflowevents: >-
              Grants permission to query and retrieve sales order workflow
              events.
            salesorder.triggersalesorderworkflow: Grants permission to trigger workflow events for sales orders.
            salesorder.triggersalesorderworkflowevent: Grants permission to trigger sales order workflow events.
            salesorder.undosalesordercancellation: Grants the permission to undo an order cancellation.
            salesorder.updatesalesorder: Grants permission to update and retrieve sales orders.
            salesorder.updatesalesordercustomfield: >-
              Grants permission to update and retrieve sales order custom
              fields.
            salesorder.updatesalesorderfile: Grants permission to update and retrieve sales order files.
            salesorder.updatesalesorderlineitem: Grants permission to update and retrieve sales order line items.
            salesorder.updatesalesorderlineitemfile: >-
              Grants permission to update and retrieve sales order line item
              files.
            salesorder.updatesalesordernote: Grants permission to update and retrieve sales order notes.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            shippingclass.queryshippingclasses: Grants permission to query and retrieve shipping classes.
            shippingmethod.queryshippingmethods: Grants permission to query and retrieve shipping methods.
            stock.queryserialnumberperwarehouse: >-
              Grants permission to query and retrieve serial numbers per
              warehouse.
            stock.querystockchanges: Grants permission to query and retrieve stock changes.
            stock.querystocksperitem: Grants permission to query and retrieve stock per item.
            stock.stockadjustment: Grants permission to adjust and retrieve stock levels.
            supplier.querysuppliers: Grants permission to query and retrieve suppliers.
            suppliers.read: Grants permission to read suppliers.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            system.read: Grants permission to read system-related data and configuration.
            system.worker.read: >-
              Grants permission to read the configuration and status of
              background workers.
            system.worker.write: Grants permission to configure and control background workers.
            taxclass.querytaxclasses: Grants permission to query and retrieve tax classes.
            taxes.read: Grants permission to read tax data.
            transactionstatus.querytransactionstatus: Grants permission to query and retrieve transaction statuses.
            warehouse.querystoragelocations: Grants permission to query and retrieve storage locations.
            warehouse.querystoragelocationtype: Grants permission to query and retrieve storage location types.
            warehouse.querywarehouses: Grants permission to query and retrieve warehouses.
            warehouse.querywarehousetypes: Grants permission to query and retrieve warehouse types.
            warehouse.read: Grants permission to read warehouse data.
            wms.changereservation: >-
              Grants permission to change stock reservations in warehouse
              management.
            wms.createpicklist: Grants permission to create and retrieve pick lists.
            wms.deletepicklistposition: Grants permission to delete a position from a pick list.
            wms.pickposition: Grants permission to pick a pick list position.
            wms.querypicklist: Grants permission to query and retrieve pick lists.
            wms.querypicklistposition: Grants permission to query and retrieve pick list positions.
            wms.querypicklisttemplate: Grants permission to query and retrieve pick list templates.
            worker.configuresync: >-
              Grants permission to configure the synchronization of background
              workers.
[...]
